diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_api_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_api_configuration.sls
index 04195ae5b..fe23d11de 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_api_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_api_configuration.sls
@@ -16,6 +16,10 @@ arvados:
 
 ### NGINX
 nginx:
+  server:
+    config:
+      http:
+        server_names_hash_bucket_size: 128
   ### SITES
   servers:
     managed:
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_controller_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_controller_configuration.sls
index cfd152592..467cda1f7 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_controller_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_controller_configuration.sls
@@ -10,6 +10,7 @@ nginx:
     config:
       ### STREAMS
       http:
+        server_names_hash_bucket_size: 128
         'geo $external_client':
           default: 1
           '127.0.0.0/8': 0
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepproxy_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepproxy_configuration.sls
index 11f6e8569..365c3edfb 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepproxy_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepproxy_configuration.sls
@@ -10,6 +10,7 @@ nginx:
     config:
       ### STREAMS
       http:
+        server_names_hash_bucket_size: 128
         upstream keepproxy_upstream:
           - server: '__IP_INT__:25100 fail_timeout=10s'
 
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepweb_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepweb_configuration.sls
index 1082b5357..8fc3518a0 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepweb_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_keepweb_configuration.sls
@@ -10,6 +10,7 @@ nginx:
     config:
       ### STREAMS
       http:
+        server_names_hash_bucket_size: 128
         upstream collections_downloads_upstream:
           - server: '__IP_INT__:9003 fail_timeout=10s'
 
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_passenger.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_passenger.sls
index c25720c60..b02ff177c 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_passenger.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_passenger.sls
@@ -35,6 +35,8 @@ nginx:
       load_module: {{ passenger_mod }}
       {% endif %}
       worker_processes: 4
+      http:
+        server_names_hash_bucket_size: 128
 
   ### SNIPPETS
   snippets:
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_webshell_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_webshell_configuration.sls
index 67013f93c..f9dc92452 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_webshell_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_webshell_configuration.sls
@@ -11,6 +11,7 @@ nginx:
 
       ### STREAMS
       http:
+        server_names_hash_bucket_size: 128
         upstream webshell_upstream:
           - server: '__IP_INT__:4200 fail_timeout=10s'
 
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench2_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench2_configuration.sls
index d28fe8027..a7d9fc702 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench2_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench2_configuration.sls
@@ -17,6 +17,10 @@ arvados:
 ### NGINX
 nginx:
   ### SITES
+  server:
+    config:
+      http:
+        server_names_hash_bucket_size: 128
   servers:
     managed:
       ### DEFAULT
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench_configuration.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench_configuration.sls
index 59fb43e57..a943e7fb1 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench_configuration.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/nginx_workbench_configuration.sls
@@ -22,6 +22,7 @@ nginx:
 
       ### STREAMS
       http:
+        server_names_hash_bucket_size: 128
         upstream workbench_upstream:
           - server: '__IP_INT__:9000 fail_timeout=10s'
 
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index ebca93819..2d3c07c84 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -198,7 +198,7 @@ CUSTOM_CERTS_DIR="${SCRIPT_DIR}/certs"
 # The "local.params.example.*" files already set "RELEASE=production"
 # to deploy  production-ready packages
 RELEASE="production"
-VERSION="2.4.0"
+VERSION="2.4.0-1"
 
 # These are arvados-formula-related parameters
 # An arvados-formula tag. For a stable release, this should be a
